Core - Feature # 54850

Status: Rejected Priority: Should have
Author: Michael Stucki Category:

Created: 2014-01-08 Assigned To:

Updated: 2014-09-01 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: Set REMOTE_ADDR even when in CLI mode

Description

In CLI mode, the REMOTE_ADDR is empty, which can lead to unexpected results (see #54849).
While #54849 provides a simple workaround for one problem, the REMOTE_ADDR should be set to a default value even in CLI
mode.

Related issues:
related to Core - Bug # 54849: Functional tests cannot write to backend log Resolved 2014-01-08

History

#1 - 2014-01-08 21:55 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/26699

#2 - 2014-02-17 17:57 - Markus Klein

Why is this related to #536627

#3 - 2014-02-17 23:13 - Michael Stucki

Markus Klein wrote:

Why is this related to #53662?

No idea. | removed the relation now.

#4 - 2014-09-01 18:54 - Michael Stucki
- Status changed from Under Review to Rejected

I've abandoned this change. See comments in Gerrit: https:/review.typo3.org/#/c/26699/
